Package htsjdk.samtools.metrics

# Interface Header

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `StringHeader`, `VersionHeader`

public interface Header extends Serializable
A header for a metrics file. A header simply consists of a type and some arbitrary data, but must be able to turn itself into a String and parse it's data back out of that String at a later date.

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(String in)`
Parses the data contained in the String version of the header.
`String`
`toString()`
Converts the header to a String for persisting to a file.

## Method Details

### toString

String toString()
Converts the header to a String for persisting to a file.

Overrides:
  `toString` in class `Object`

### parse

void parse(String in)
Parses the data contained in the String version of the header.